SDL_SetRenderColorScale(3)

NAME
SDL_SetRenderColorScale - Set the color scale used for render operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetRenderColorScale(SDL_Renderer *renderer, float scale);

DESCRIPTION
The color scale is an additional scale multiplied into the pixel color value while rendering. This can be used to adjust the brightness of colors during HDR rendering, or changing HDR video brightness when playing on an SDR display.

The color scale does not affect the alpha channel, only the color brightness.

FUNCTION PARAMETERS

renderer
    the rendering context.

scale
    the color scale value.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderColorScale(3)